AutoDetectionBIDIAlgorithm (CMDB Model API)
Keywords: com.collation.platform.model.util.AutoDetectionBIDIAlgorithm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class AutoDetectionBIDIAlgorithm

    java.lang.Object
      com.collation.platform.model.util.AutoDetectionBIDIAlgorithm

    public class AutoDetectionBIDIAlgorithm

extends java.lang.Object

Author:
  ayman

Constructor Summary
`AutoDetectionBIDIAlgorithm(java.lang.String inTxt)` Creates a new instance of AutoDetectionBIDIAlgorithm
`AutoDetectionBIDIAlgorithm(java.util.Vector stringSet)` Creates a new instance of AutoDetectionBIDIAlgorithm in case we have vector of strings

Method Summary
`java.lang.String` | `fiveCharBidiFormat()` The function is used to return a string of BIDI 5 characters format
`int` | `getAlgorithmSwappingResult(SegmentInfo seg)` The function is used to get the swapping state Return 0 if swap on, if 1 swap off , -1 swap is unknown
`int` | `getAlgorithmTypeResult()` The function used to get the result of the algorithm
`java.lang.String` | `getAvgResultIfVector()` The function is used to calculate the accumlated result of a vector of strings.
`java.lang.String` | `printResult()` The function is used to print the data about the segment and the input string
`void` | `setSegmentLang()` The function is called to set the language type of the string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoDetectionBIDIAlgorithm

    public AutoDetectionBIDIAlgorithm(java.lang.String inTxt)

  Creates a new instance of AutoDetectionBIDIAlgorithm

### AutoDetectionBIDIAlgorithm

    public AutoDetectionBIDIAlgorithm(java.util.Vector stringSet)

  Creates a new instance of AutoDetectionBIDIAlgorithm in case we have vector of strings

Method Detail

### getAvgResultIfVector

    public java.lang.String getAvgResultIfVector()

  The function is used to calculate the accumlated result of a vector of strings. the function take the vector as a parameters. and return a one string give the overall result depending on the results of each string in the given vector.

### printResult

    public java.lang.String printResult()

  The function is used to print the data about the segment and the input string

### fiveCharBidiFormat

    public java.lang.String fiveCharBidiFormat()

  The function is used to return a string of BIDI 5 characters format

### setSegmentLang

    public void setSegmentLang()

  The function is called to set the language type of the string. The function must be called after setting the string in the segment Object

### getAlgorithmTypeResult

    public int getAlgorithmTypeResult()

  The function used to get the result of the algorithm

### getAlgorithmSwappingResult

    public int getAlgorithmSwappingResult(SegmentInfo seg)

  The function is used to get the swapping state Return 0 if swap on, if 1 swap off , -1 swap is unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD